
Redmine - Feature #2269

Default issue start date should become configurable.

2008-12-03 05:30 - Kihyun Yun

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues planning Estimated time: 0.00 hour

Target version: 1.3.0   

Resolution: Fixed   

Description

Currently, the start date field of new issue is fixed as today.

(in issues_controller.rb, def new, )

My company has a rule project manager or assignee must input a start date and due date when (s)he start a patch or

implementation task. Current default function of new issue creation make my fellows confuse.

Also in gantt or calendar, the start date of newly created issues is displayed as default.

But a planning person, project manager want to define a term of each task.

So, I want for administrator to set the value of 'using today as start date on creating issue'.

In simple development org., this feature is not required.

But more tighten development org. might want this feature.

Related issues:

Related to Redmine - Patch #2277: Patch for #2269 (Issue startdate == adddate... Closed 2008-12-04

Related to Redmine - Feature #716: Remove default start date Closed 2008-02-22

Has duplicate Redmine - Feature #7662: Remove Default Date Stamp at Start Date Closed 2011-02-19

Associated revisions

Revision 7733 - 2011-11-05 19:40 - Etienne Massip

Added an administration setting to allow issue start date to be defaulted to blank (nil) at issue creation (#2269).

Based on the patch of #2277 contributed by Mischa The Evil.

Revision 7763 - 2011-11-10 21:21 - Etienne Massip

Use a more accurate (and probably more english) string for setting_default_issue_start_date_to_creation_date label (#2269).

Contributed by Mischa The Evil.

Revision 7894 - 2011-11-23 18:22 - Etienne Massip

Added pt-BR translation for #2269.

History

#1 - 2008-12-03 11:11 - samir djouadi

- Status changed from New to Resolved

- Assignee set to Liwiusz Ociepa

#2 - 2008-12-04 21:15 - Jean-Philippe Lang

So, I want for administrator to set the value of 'using today as start date on creating issue'.

 How could you set a value for this option? It seems more like a yes/no option.

If set to 'no', no date would be set by default when creating an issue.

#3 - 2008-12-04 21:15 - Jean-Philippe Lang
- Status changed from Resolved to New

#4 - 2008-12-04 23:01 - Mischa The Evil

Jean-Philippe Lang wrote:

So, I want for administrator to set the value of 'using today as start date on creating issue'.

 How could you set a value for this option? It seems more like a yes/no option.

If set to 'no', no date would be set by default when creating an issue.

 I've created and uploaded a simple patch (#2277) which adds such a yes/no-option and related the issue to this one.

Please let me know if an implementation like this is, is the way to go or not... :-)

#5 - 2008-12-05 01:38 - Kihyun Yun

Mischa The Evil wrote:

Jean-Philippe Lang wrote:

So, I want for administrator to set the value of 'using today as start date on creating issue'.

 How could you set a value for this option? It seems more like a yes/no option.

If set to 'no', no date would be set by default when creating an issue.

 I've created and uploaded a simple patch (#2277) which adds such a yes/no-option and related the issue to this one.

Please let me know if an implementation like this is, is the way to go or not... :-)

 Yes, I think that a value for this options is a boolean value.

Thanks.

#6 - 2008-12-05 01:38 - Kihyun Yun

- % Done changed from 0 to 100

#7 - 2010-10-05 12:36 - Bruno Medeiros

- Assignee deleted (Liwiusz Ociepa)

- % Done changed from 100 to 0

Why change %done to 100 if it's not done?

Even filling blank in the start date doesn't work anymore, please fix it.  The start date should not be the creation date by default, the gantt chart is

completely wrong that way.

#8 - 2011-01-15 08:08 - Beau Simensen

Would love to see #2277 in Redmine core or at least get an idea why #2277 isn't an adequate solution. (from this ticket history it looks like the

solution was alright)

#9 - 2011-09-20 06:37 - Alex Last

+1

#10 - 2011-09-30 04:38 - Mischa The Evil

- Subject changed from Issue start date's default value can be selectable. to Default start date value should become configurable.

- Category changed from Issues to Issues planning

- Target version set to Unplanned backlogs

I've modified the subject and category according to the actual subject and the related issues to be better recognizable.

I've targetted it to the 'Unplanned' version since it's definitely a feature a lot of users (including myself, so I'm a bit biased) want to get in.

I'd suggest to discuss the implementation of this further on issue #2277 to keep it clear (plus the TODO's I've mentioned on issue #2277note-10 are

still present AFAIK).
#11 - 2011-09-30 04:46 - Mischa The Evil

- Subject changed from Default start date value should become configurable. to Default issue start date should become configurable.

#12 - 2011-10-01 18:15 - Rodrigo Carvalho

+1

#13 - 2011-10-17 16:44 - Lars Dornheim

+1

#14 - 2011-11-05 19:44 - Etienne Massip

- Status changed from New to Resolved

- Target version changed from Unplanned backlogs to 1.3.0

- Resolution set to Fixed

Fixed with r7733.

Default setting is to set start date to issue's creation date for backward compatibility.

#15 - 2011-11-06 02:19 - Mischa The Evil

Thanks for committing this Etienne. Glad to see this finally made it into the core tested and well.

#16 - 2011-11-08 02:41 - Mischa The Evil

- File ro2269-r7733_locales_change-r7750.patch added

I've just had a second look at the implementation and noticed two things I'd like to discuss before finally closing this issue:

the used English i18n is plain wrong; both grammatical as well as in style:

 

As far as I was able to find out (English is not my native language):

Set new issue's start date with today's date value

should be

Set new issues start date with todays date value

to be correct English (see e.g. http://www.cgl.uwaterloo.ca/~csk/its.html). This new string does not look like it is nicely styled English to me.

Considering the above I suggest we use a new i18n-string (inspired by the implementation in ChiliProject).

 

That would replace the currently used i18n-string:

Set new issue's start date with today's date value

with:

Use current date as start date for new issues

I'll attach a patch for this change which changes the English strings and re-inserts the new string for the already translation languages (fr and

bg).

this one is regarding the chosen name for the new setting; it might be confusing for some users:

 

Now it looks like the issue creation date is set to the default issue start date, which is wrong. (To keep the Hungarian notation in tact :) I propose

to change it from:

default_issue_start_date_to_creation_date

to

default_issue_start_date_is_creation_date
or

creation_date_is_default_issue_start_date

I can attach a patch for this also, but would like some feedback first before making decisions upfront.

#17 - 2011-11-08 09:20 - Etienne Massip

Mischa The Evil wrote:

the used English i18n is plain wrong; both grammatical as well as in style:

 I can conceive that easily, I was not very sure of the correctness of my translation

(BTW, today's date is correct) :p

Use current date as start date for new issues

 seems fine to me; no need to make a patch, though, this is a quick F&R fix.

this one is regarding the chosen name for the new setting; it might be confusing for some users:

 I actually don't use any Hungarian notation here, ??Default X to Y?? is used as a verb in its infinitive form.

The actual name seems fine to me, could some native English speaker tell us?

#18 - 2011-11-11 13:02 - Bruno Medeiros

I've already translated it to pt_BR, and didn't see it on r7733. Could you please integrate?

setting_issue_startdate_is_adddate: Usar data corrente como data inicial para novas tarefas

 PS.: Use default_issue_start_date_to_creation_date seems ok to me as default is acting as a verb.

#19 - 2011-11-12 23:23 - Mischa The Evil

Etienne Massip wrote:

Mischa The Evil wrote:

the used English i18n is plain wrong; both grammatical as well as in style:

 I can conceive that easily, I was not very sure of the correctness of my translation

(BTW, today's date is correct) :p

 Woot... :-S This is sometimes rather difficult for me as a non-native speaker of the English language. I've even heard that native English speakers

sometimes have difficulties doing this grammatically right...

Etienne Massip wrote:

Use current date as start date for new issues

seems fine to me; no need to make a patch, though, this is a quick F&R fix.

 Thanks for already committing this change into trunk.

Etienne Massip wrote:

Mischa The Evil wrote:

this one is regarding the chosen name for the new setting; it might be confusing for some users:

 I actually don't use any Hungarian notation here, ??Default X to Y?? is used as a verb in its infinitive form.

The actual name seems fine to me

 Forget about my nitpicking, figurative speech and, personal language barriers here ;) It's fine for me as it is now. I think most others will agree here
too, so consider this done.

Again, thanks for your efforts on this issue...

#20 - 2011-11-18 17:50 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#21 - 2011-11-18 18:29 - Etienne Massip

Bruno Medeiros wrote:

I've already translated it to pt_BR, and didn't see it on r7733. Could you please integrate?

[...]

PS.: Use default_issue_start_date_to_creation_date seems ok to me as default is acting as a verb.

 I didn't because the English string was changed so I thought that the translation was no more accurate.

#22 - 2011-11-21 11:47 - Pierre Pretorius

We run a large amount of development projects on Redmine and use this feature.  Thanks for implementing.

#23 - 2011-11-28 16:27 - Bruno Medeiros

Etienne Massip wrote:

Bruno Medeiros wrote:

I've already translated it to pt_BR, and didn't see it on r7733. Could you please integrate?

 I didn't because the English string was changed so I thought that the translation was no more accurate.

 Ok, makes sense. :)

Thanks for integrating anyway!

#24 - 2012-01-18 15:02 - Luis Serrano Aranda

I think the better option is configure this option in every project

Files

ro2269-r7733_locales_change-r7750.patch 26 KB 2011-11-08 Mischa The Evil
